# 5. Animating a Molecular Morph
# Morphing Large Structures
# Code 3: Linear Morphing and Refinement

/import os
/cmd.cd(os.path.dirname(__script__))

# load start and final conformations
load ../pdbs/2zlb.pdb, startConf
load ../pdbs/2zvj.pdb, finalConf

# remove solvent atoms, they don’t map 1-1 across structures
remove solvent

# align the two structures
align startConf, finalConf

# compute the linear morph with no refinement (for speed)
morph morph02, startConf, finalConf, method=linear, refinement=0

# optional: refinement at level 2
import epymol.rigimol
refine 2, morph02
